Void charge
POST
/api/charges/{id}/void
const url = 'https://api.getvespy.com/api/charges/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/void';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/charges/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/void \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
charge
required
object
amountCents
required
integer
balanceCents
required
integer
categoryId
required
string format: uuid
chargeType
required
string
createdAt
required
string format: date-time
description
required
string
dueDate
required
string format: date
id
required
string format: uuid
lease
required
object
endDate
required
string format: date
id
required
string format: uuid
startDate
required
string format: date
status
required
string
leaseId
required
string format: uuid
name
required
string
organizationId
required
string format: uuid
postedAt
required
string format: date-time
property
required
object
city
required
string
id
required
string format: uuid
name
required
string
state
required
string
propertyId
required
string format: uuid
recurringRuleId
string format: uuid
status
required
string
tenant
required
object
fullName
required
string
id
required
string format: uuid
tenantId
required
string format: uuid
unit
required
object
id
required
string format: uuid
unitNumber
required
string
unitId
required
string format: uuid
Example
{ "charge": { "chargeType": "rent", "lease": { "status": "draft" }, "status": "pending" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}